
declare @guipadre as int 
declare @uid as varchar(500)
declare @eid as varchar(500)
select @uid=uid,@eid=eid from seg_usuario where id=1
select @guipadre=id from view_gui_funcionalidad where id_tipofuncionalidad=3 and url='/forms/gen/gen_bodega.aspx'
if not exists(select * from view_gui_funcionalidad where id_tipoFuncionalidad=1 and nombreControl='inc_localizacion' )
begin
INSERT INTO [gui_funcionalidad]
           ([uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[funcionalidad]
           ,[esMenu]
           ,[nombreControl]
           ,url         
           ,[orden]
           ,[id_funcionalidad]
           ,[id_tipoFuncionalidad])
     VALUES
           (@uid
           ,@eid
           ,1
           ,1
           ,getdate()
           ,getdate()
           ,1
           ,'Localizaciones'
           ,0
           ,'inc_localizacion'
           ,''
           ,2
           ,@guipadre
           ,1)
end